Module | RSS::Maker
In: | rss/maker.rb rss/maker/trackback.rb rss/maker/syndication.rb rss/maker/image.rb rss/maker/dublincore.rb rss/maker/content.rb rss/maker/base.rb rss/maker/2.0.rb rss/maker/1.0.rb rss/maker/0.9.rb

### Methods

add_maker filename_to_version make maker

### Classes and Modules

Module RSS::Maker::Base
Module RSS::Maker::ContentModel
Module RSS::Maker::DublinCoreModel
Module RSS::Maker::ImageFaviconModel
Module RSS::Maker::ImageItemModel
Module RSS::Maker::SyndicationModel
Module RSS::Maker::TrackBackModel
Class RSS::Maker::ChannelBase
Class RSS::Maker::ImageBase
Class RSS::Maker::ItemsBase
Class RSS::Maker::RSS09
Class RSS::Maker::RSS10
Class RSS::Maker::RSS20
Class RSS::Maker::RSSBase
Class RSS::Maker::TextinputBase
Class RSS::Maker::XMLStyleSheets

### Constants

MAKERS | = | {}

### Public Class methods

add_maker(version, maker)

[Source]

    # File rss/maker.rb, line 18
          def add_maker(version, maker)
            MAKERS[version] = maker
          end

filename_to_version(filename)

[Source]

    # File rss/maker.rb, line 22
          def filename_to_version(filename)
            File.basename(filename, ".*")
          end

make(version, &block)

[Source]

    # File rss/maker.rb, line 10
          def make(version, &block)
            maker(version).make(&block)
          end

maker(version)

[Source]

    # File rss/maker.rb, line 14
          def maker(version)
            MAKERS[version]
          end

[Validate]